Skip to content

Create Index

$ llamacloud-prod beta:indexes create
POST/api/v1/indexes

Create a searchable index over a source directory.

ParametersExpand Collapse
--source-directory-id: string

Body param: ID of the source directory containing your documents.

--organization-id: optional string

Query param

--project-id: optional string

Query param

--description: optional string

Body param: Optional description of the index.

--product: optional array of object { product_config_id, product_type }

Body param: Product configurations for syncing. Omit to use a default parse configuration. Include an explicit entry per product type (e.g. parse, extract) to override the default.

ReturnsExpand Collapse
BetaIndexNewResponse: object { id, export_config_id, name, 9 more }

A searchable index over a directory of documents.

id: string

Unique identifier

export_config_id: string

ID of the export configuration.

name: string

Index name.

project_id: string

Project this index belongs to.

source_directory_id: string

ID of the source directory.

sync_config_id: string

ID of the sync configuration.

created_at: optional string

Creation datetime

description: optional string

Index description.

last_exported_at: optional string

Last export time.

last_synced_at: optional string

Last sync time.

metadata: optional map[unknown]

Build state and diagnostic info.

updated_at: optional string

Update datetime

Create Index

llamacloud-prod beta:indexes create \
  --api-key 'My API Key' \
  --source-directory-id dir-abc123
{
  "id": "id",
  "export_config_id": "export_config_id",
  "name": "name",
  "project_id": "project_id",
  "source_directory_id": "source_directory_id",
  "sync_config_id": "sync_config_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "last_exported_at": "2019-12-27T18:11:19.117Z",
  "last_synced_at": "2019-12-27T18:11:19.117Z",
  "metadata": {
    "foo": "bar"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "export_config_id": "export_config_id",
  "name": "name",
  "project_id": "project_id",
  "source_directory_id": "source_directory_id",
  "sync_config_id": "sync_config_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "last_exported_at": "2019-12-27T18:11:19.117Z",
  "last_synced_at": "2019-12-27T18:11:19.117Z",
  "metadata": {
    "foo": "bar"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}